Bug 178007 - Always invoke RenderObject::insertedIntoTree/willBeRemovedFromTree
Summary: Always invoke RenderObject::insertedIntoTree/willBeRemovedFromTree
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-10-06 05:27 PDT by Antti Koivisto
Modified: 2017-11-16 12:27 PST (History)
10 users (show)

See Also:


Attachments
patch (26.97 KB, patch)
2017-10-06 05:30 PDT, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews115 for mac-elcapitan (1.61 MB, application/zip)
2017-10-06 22:13 PDT, Build Bot
no flags Details
Patch (33.83 KB, patch)
2017-11-15 21:48 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (34.21 KB, patch)
2017-11-16 10:28 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (34.34 KB, patch)
2017-11-16 11:42 PST, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2017-10-06 05:27:45 PDT
These call are currently skipped in some cases making them bug prone and difficult to reason about. This is done as an optimization that doesn't appear valuable anymore.
Comment 1 Antti Koivisto 2017-10-06 05:30:56 PDT
Created attachment 323010 [details]
patch
Comment 2 Build Bot 2017-10-06 22:13:29 PDT
Comment on attachment 323010 [details]
patch

Attachment 323010 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/4787643

Number of test failures exceeded the failure limit.
Comment 3 Build Bot 2017-10-06 22:13:31 PDT
Created attachment 323084 [details]
Archive of layout-test-results from ews115 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 4 Aakash Jain 2017-10-08 11:33:26 PDT
Surprisingly, a lot of EWS bots (e.g.: ews101, ews102, ews106, ews107, ews112, ews113, ews115, ews121, ews122, ews124) got stuck while running tests on this patch.

Last log on bots:
Running: webkit-patch --status-host=webkit-queues.webkit.org --bot-id=ews121 build-and-test --no-clean --no-update --test --non-interactive --build-style=release --group=None --port=ios-simulator-wk2
Comment 5 Matt Lewis 2017-10-10 11:31:06 PDT
When the windows EWS bots hit this patch again, it caused them to stop again in the build phase. As such there is no build log created.
Comment 6 Aakash Jain 2017-10-10 11:58:43 PDT
ImageDiff seems to be stuck for few hours on this bot (bot205).
Comment 7 Alexey Proskuryakov 2017-10-10 14:05:32 PDT
Tracking the EWS issue as <rdar://problem/34917666>.
Comment 8 zalan 2017-11-15 21:48:48 PST
Created attachment 327049 [details]
Patch
Comment 9 zalan 2017-11-16 10:28:54 PST
Created attachment 327081 [details]
Patch
Comment 10 Antti Koivisto 2017-11-16 11:06:04 PST
Comment on attachment 327081 [details]
Patch

Nice
Comment 11 Antti Koivisto 2017-11-16 11:09:47 PST
Comment on attachment 327081 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=327081&action=review

> Source/WebCore/rendering/RenderBoxModelObject.h:280
> +    enum class NormalizeAfterInsertion { No, Yes };

This could use a comment explaining what the values mean.
Comment 12 zalan 2017-11-16 11:42:18 PST
Created attachment 327091 [details]
Patch
Comment 13 WebKit Commit Bot 2017-11-16 12:26:04 PST
The commit-queue encountered the following flaky tests while processing attachment 327091 [details]:

http/tests/security/cross-origin-xsl-BLOCKED.html bug 51054 (authors: abarth@webkit.org, jochen@chromium.org, and rniwa@webkit.org)
The commit-queue is continuing to process your patch.
Comment 14 WebKit Commit Bot 2017-11-16 12:26:41 PST
Comment on attachment 327091 [details]
Patch

Clearing flags on attachment: 327091

Committed r224933: <https://trac.webkit.org/changeset/224933>
Comment 15 WebKit Commit Bot 2017-11-16 12:26:42 PST
All reviewed patches have been landed.  Closing bug.
Comment 16 Radar WebKit Bug Importer 2017-11-16 12:27:32 PST
<rdar://problem/35595478>